'use strict';

module.exports = {
    library: {
        base: 'output/$user/',
        image: '$base$postDate - $preview$itemId - $postTitle$ext',
        video: '$base$postDate - $preview$itemId - $postTitle$ext',
        text: '$base$postDate - $preview$postId - $postTitle',
        album: {
            image: '$base$postDate - $preview$albumId - $postTitle/$itemIndex - $itemId$ext',
            video: '$base$postDate - $preview$albumId - $postTitle/$itemIndex - $itemId$ext',
            extractSingleItem: true,
        },
        profile: {
            image: '$base$userCreated - profile$ext',
            description: '$base$userCreated - profile ($userVerified$userVerifiedEmail$userGold$profileOver18)',
            avoidAvatar: true,
        },
        index: {
            file: '$base/index',
            format: 'tsv',
            keys: ['postId', 'subreddit', 'postDate', 'url', 'hostId', 'postTitle'],
        },
        booleans: {
            extracted: 'extracted-',
            preview: 'preview-',
            verified: '✔',
            verifiedEmail: '✉',
            gold: '★',
            over18: '♥',
        },
        meta: {
            comment: '$itemDescription',
        },
        dateFormat: 'YYYYMMDD',
        truncate: {
            limit: 250,
            truncator: '...',
        },
        indexOffset: 1,
        slashSubstitute: '#',
    },
    fetch: {
        sort: 'new',
        limit: 1000,
        avoidDuplicates: true,
        retries: 3,
        concurrency: 10,
        watch: {
            schedule: '*/30 * * * *',
        },
        archives: {
            search: false,
            preview: true,
            reddit: ['ip'],
            reupload: [],
        },
    },
    reddit: {
        api: {
            userAgent: 'reddit-post-dump',
            clientId: '1234567abcdefg',
            access_token: 'abcD123eFg45Hi6J7klmnop8qr9',
            token_type: 'bearer',
            expires_in: 3600,
            refresh_token: '1234567-A-Bc-defg8912hij-klm345opqr',
            scope: 'history identity mysubreddits read subscribe',
        },
    },
    methods: {
        imgur: {
            clientId: '1234567abcdefgh',
        },
    },
};
