'use strict';

const config = require('config');

const archives = require('./archives.js');

function getArchivePostIds(username, exclude) {
    console.log(`Finding archived posts for '${username}'...`);

    return Promise.all(config.fetch.archives.reddit.map(source => archives[source](username))).then(postIds => postIds.flatten()).then(postIds => {
        return exclude ? postIds.filter(postId => !exclude.includes(postId)) : postIds;
    }).then(postIds => {
        console.log(`Found ${postIds.length} unique archived posts for user '${username}'`);

        return postIds;
    });
};

module.exports = getArchivePostIds;
