'use strict';

const config = require('config');
const fetch = require('node-fetch');

function fetchItem(url, attempt, post) {
    function retry(error) {
        console.log('\x1b[31m%s\x1b[0m', `Failed to fetch '${url}': ${error.message} (${post.permalink})`);

        if(attempt < config.fetch.retries) {
            console.log('Retrying...');

            return fetchItem(url, ++attempt, post);
        }

        return null;
    };

    return fetch(url).then(res => {
        if(!res.ok) {
            throw new Error(`Response not OK for '${url}', HTTP code '${res.status}'`);
        }

        return res;
    }).then(res => {
        console.log(`Fetched '${url}' (${post.permalink})`);

        return res.body;
    }).catch(retry);
};

module.exports = fetchItem;
