 'use strict';

const util = require('util');
const config = require('config');
const fetch = require('node-fetch');

function imgurImage(post) {
    return fetch(`https://api.imgur.com/3/image/${post.host.id}`, {
        headers: {
            'Authorization': `Client-ID ${config.methods.imgur.clientId}`
        }
    }).then(res => res.json()).then(res => {
        if(res.status !== 200) {
            throw new Error(`Could not fetch info for imgur image '${post.host.id}': '${res.data.error}'`);
        }

        return {
            album: null,
            items: [{
                id: res.data.id,
                url: res.data.animated ? res.data.mp4 : res.data.link,
                title: res.data.title,
                description: res.data.description,
                type: res.data.animated ? 'video/mp4' : res.data.type,
                datetime: new Date(res.data.datetime * 1000),
                original: res.data
            }]
        };
    });
};

module.exports = imgurImage;
