 'use strict';

const util = require('util');
const config = require('config');
const path = require('path');
const fetch = require('node-fetch');
const mime = require('mime-types');
const urlPattern = require('url-pattern');

function redditPreview(post) {
    return Promise.resolve({
        album: post.preview.length > 1 ? {
            id: post.host.id || post.id,
            url: post.url,
            title: post.title,
            datetime: post.datetime,
            original: post
        } : null,
        items: post.preview.map(image => {
            return {
                id: post.host.id || post.id,
                url: image.url,
                title: post.title,
                datetime: post.datetime,
                type: mime.lookup(image.url.split('?')[0]),
                preview: true,
                original: post
            };
        })
    });
};

module.exports = redditPreview;
