 'use strict';

const util = require('util');
const config = require('config');
const path = require('path');
const fetch = require('node-fetch');
const $ = require('cheerio');
const mime = require('mime-types');

function vidbleImage(post) {
    return fetch(`https://vidble.com/${post.host.id}`).then(res => {
        if(res.status !== 200) {
            throw new Error(`Could not fetch info for vidble album '${post.host.id}': '${res.error}'`);
        }

        return res.text();
    }).then(res => {
        const resource = $('img', res).attr('src');

        return {
            album: null,
            items: [{
                id: post.host.id,
                url: `https://vidble.com/${resource}`,
                title: post.title,
                datetime: post.datetime,
                type: mime.lookup(resource),
                original: post
            }]
        };
    });
};

module.exports = vidbleImage;
