 'use strict';

const util = require('util');
const config = require('config');
const fetch = require('node-fetch');
const cheerio = require('cheerio');

function vidbleVideo(post) {
    return fetch(`https://www.vidble.com/watch?v=${post.host.id}`).then(res => {
        if(res.status !== 200) {
            throw new Error(`Could not fetch info for vidble video '${post.host.id}': '${res.error}'`);
        }

        return res.text();
    }).then(res => {
        const $ = cheerio.load(res);
        const resource = $('video source');
        const source = resource.attr('src');
        const type = resource.attr('type');

        if(!source || !type) {
            throw new Error(`Failed to retrieve (likely removed) vidble video '${post.host.id}'`);
        }

        return {
            album: null,
            items: [{
                id: post.host.id,
                url: `https://vidble.com/${source}`,
                title: post.title,
                datetime: post.datetime,
                type: type,
                original: post
            }]
        };
    });
};

module.exports = vidbleVideo;
